.share {
    z-index: 200;
    position: relative;

    &__button {
        z-index: 200;
        display: flex;
        align-items: center;
        position: relative;
    }

    &__content {
        top: -12px;
        right: -12px;
        z-index: 100;
        position: absolute;
        border-radius: rem(4);
        background-color: white;
        box-shadow: var(--shadow);
        padding: rem(44) rem(12) rem(12) rem(12);
        opacity: 0;
        visibility: hidden;

        .btn {
            min-width: rem(150);

            &:hover {

            }

            &.copied {

                &:before {
                    width: 17px;
                    height: 16px;
                    display: block;
                    content: '';
                    background-image: url("data:image/svg+xml,%3Csvg width='17' height='16' viewBox='0 0 17 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6.36339 10.5834L3.58339 7.80336L2.63672 8.74336L6.36339 12.47L14.3634 4.47003L13.4234 3.53003L6.36339 10.5834Z' fill='%2300A5FF'/%3E%3C/svg%3E");
                    background-position: 50% 50%;
                    background-repeat: no-repeat;
                    background-size: cover;
                }

                &:hover {
                    fill: var(--blue);
                    color: var(--blue);
                    background-color: white;
                }
            }
        }
    }

    &__row {
        display: flex;
        column-gap: rem(6);
        align-items: center;
    }

    &:hover {

        .btn-link {
            text-decoration: none;
        }

        .share {

            &__content {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__content {
            right: auto;
            left: -12px;
        }
    }
}
